{% extends "admin_site/base.html" %}
{% load staticfiles %}

{% block head_title %}Signup {% endblock %}

{% block container %}
    <div class="card contain-sm">
        <div class="card-head">
            <header class="text-primary">Service Provider Sign Up Here</header>
        </div><!--end .card-head -->
        <div class="card-body tab-content">
            <div class="tab-pane active" id="first1">
                <form class="form floating-label signup" id="signup_form" method="post"
                      action="{% url 'provider_signup' %}">
                    {% csrf_token %}
                    <div class="form-group">
                        {{ form.email }}
                        <label for="username">Email</label>
                        {{ form.email.errors }}
                    </div>
                    <div class="form-group">
                        {{ form.username }}
                        <label for="username">Username</label>
                        {{ form.username.errors }}
                    </div>
                    <div class="form-group">
                        {{ form.credit_card }}
                        <label for="credit-card">Credit Card</label>
                        {{ form.credit_card.errors }}
                    </div>
                    <div class="form-group">
                        {{ form.nid_no }}
                        <label for="nid-no">NID No</label>
                        {{ form.nid_no.errors }}
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form.first_name }}
                                <label for="firstname">First Name</label>
                                {{ form.first_name.errors }}
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form.last_name }}
                                <label for="lastname">Last Name</label>
                                {{ form.last_name.errors }}
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        {{ form.password1 }}
                        <label for="password">Password</label>
                        {{ form.password1.errors }}
                    </div>
                    <div class="form-group">
                        {{ form.password2 }}
                        <label for="password">Confirm Password</label>
                        {{ form.password2.errors }}
                    </div>
                    <br/>
                    <div class="row">
                        {% if redirect_field_value %}
                            <input type="hidden" name="{{ redirect_field_name }}"
                                   value="{{ redirect_field_value }}"/>
                        {% endif %}

                        <div class="">
                            <button class="btn btn-block btn-primary btn-raised submit" type="submit">Sign Up
                            </button>
                        </div><!--end .col -->
                    </div><!--end .row -->
                    <br>
                    <div class="row">
                        <div class="text-danger">{{ form.non_field_errors }}</div>
                    </div>
                    <p>Already have an account? Then please <a href="{{ login_url }}">Sign In</a>
                    </p>
                </form>
            </div>
        </div><!--end .card-body -->
    </div>


    <!-- BEGIN Sign Up SECTION -->
    <section class="section-account">
        <div class="spacer"></div>
        <div class="card contain-sm style-transparent">
            <div class="card-body">
                <div class="row">
                    <div class="">
                        <br/>
                        <span class="text-lg text-bold text-primary">Sign Up Here</span>
                        <br/><br/>


                    </div><!--end .col -->
                </div>
            </div>
        </div>
    </section>

{% endblock %}
